> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /west_virginia/companies

> Get full West Virginia business details from the Secretary of State registry by organization id: name, organization type, charter (domestic/foreign), class, security type, effective/established/filing/termination dates, termination reason, business purpose, charter county and state, share and member-management details, addresses (notice of process / registered agent, principal office, mailing, designated office), officers (directors, officers, members, organizers with name and address), trade names (DBA), name changes, amendments, mergers, subsidiaries and annual report years.

**Price:** 1 credit

**⚠️ Common errors:** 412: No business found for the given organization id



## OpenAPI

````yaml /openapi/company-registries.json post /api/west_virginia/companies
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/west_virginia/companies:
    post:
      tags:
        - US
      summary: /west_virginia/companies
      description: >-
        Get full West Virginia business details from the Secretary of State
        registry by organization id: name, organization type, charter
        (domestic/foreign), class, security type,
        effective/established/filing/termination dates, termination reason,
        business purpose, charter county and state, share and member-management
        details, addresses (notice of process / registered agent, principal
        office, mailing, designated office), officers (directors, officers,
        members, organizers with name and address), trade names (DBA), name
        changes, amendments, mergers, subsidiaries and annual report years.


        **Price:** 1 credit


        **⚠️ Common errors:** 412: No business found for the given organization
        id
      operationId: __api_west_virginia_companies_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WestVirginiaCompaniesPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/WestVirginiaCompany'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    WestVirginiaCompaniesPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        org_id:
          type: string
          minLength: 1
      type: object
      required:
        - org_id
    WestVirginiaCompany:
      properties:
        '@type':
          type: string
          default: WestVirginiaCompany
        org_id:
          type: string
        name:
          anyOf:
            - type: string
            - type: 'null'
        org_type:
          anyOf:
            - type: string
            - type: 'null'
        charter:
          anyOf:
            - type: string
            - type: 'null'
        org_class:
          anyOf:
            - type: string
            - type: 'null'
        sec_type:
          anyOf:
            - type: string
            - type: 'null'
        effective_date:
          anyOf:
            - type: string
            - type: 'null'
        established_date:
          anyOf:
            - type: string
            - type: 'null'
        filing_date:
          anyOf:
            - type: string
            - type: 'null'
        termination_date:
          anyOf:
            - type: string
            - type: 'null'
        termination_reason:
          anyOf:
            - type: string
            - type: 'null'
        business_purpose:
          anyOf:
            - type: string
            - type: 'null'
        charter_county:
          anyOf:
            - type: string
            - type: 'null'
        charter_state:
          anyOf:
            - type: string
            - type: 'null'
        at_will_term:
          anyOf:
            - type: string
            - type: 'null'
        at_will_term_years:
          anyOf:
            - type: string
            - type: 'null'
        member_managed:
          anyOf:
            - type: string
            - type: 'null'
        authorized_shares:
          anyOf:
            - type: string
            - type: 'null'
        capital_stock:
          anyOf:
            - type: string
            - type: 'null'
        par_value:
          anyOf:
            - type: string
            - type: 'null'
        control_number:
          anyOf:
            - type: string
            - type: 'null'
        excess_acres:
          anyOf:
            - type: string
            - type: 'null'
        young_entrepreneur:
          anyOf:
            - type: string
            - type: 'null'
        addresses:
          items:
            $ref: '#/components/schemas/WestVirginiaAddress'
          type: array
          default: []
        officers:
          items:
            $ref: '#/components/schemas/WestVirginiaOfficer'
          type: array
          default: []
        dbas:
          items:
            $ref: '#/components/schemas/WestVirginiaDba'
          type: array
          default: []
        name_changes:
          items:
            $ref: '#/components/schemas/WestVirginiaNameChange'
          type: array
          default: []
        amendments:
          items:
            $ref: '#/components/schemas/WestVirginiaAmendment'
          type: array
          default: []
        mergers:
          items:
            $ref: '#/components/schemas/WestVirginiaMerger'
          type: array
          default: []
        subsidiaries:
          items:
            $ref: '#/components/schemas/WestVirginiaSubsidiary'
          type: array
          default: []
        annual_report_years:
          items:
            type: string
          type: array
          default: []
      type: object
      required:
        - org_id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    WestVirginiaAddress:
      properties:
        '@type':
          type: string
          default: WestVirginiaAddress
        type:
          anyOf:
            - type: string
            - type: 'null'
        lines:
          items:
            type: string
          type: array
          default: []
      type: object
    WestVirginiaOfficer:
      properties:
        '@type':
          type: string
          default: WestVirginiaOfficer
        type:
          anyOf:
            - type: string
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        address:
          items:
            type: string
          type: array
          default: []
      type: object
    WestVirginiaDba:
      properties:
        '@type':
          type: string
          default: WestVirginiaDba
        name:
          anyOf:
            - type: string
            - type: 'null'
        effective_date:
          anyOf:
            - type: string
            - type: 'null'
        termination_date:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    WestVirginiaNameChange:
      properties:
        '@type':
          type: string
          default: WestVirginiaNameChange
        date:
          anyOf:
            - type: string
            - type: 'null'
        old_name:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    WestVirginiaAmendment:
      properties:
        '@type':
          type: string
          default: WestVirginiaAmendment
        date:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    WestVirginiaMerger:
      properties:
        '@type':
          type: string
          default: WestVirginiaMerger
        date:
          anyOf:
            - type: string
            - type: 'null'
        merged:
          anyOf:
            - type: string
            - type: 'null'
        merged_state:
          anyOf:
            - type: string
            - type: 'null'
        survived:
          anyOf:
            - type: string
            - type: 'null'
        survived_state:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    WestVirginiaSubsidiary:
      properties:
        '@type':
          type: string
          default: WestVirginiaSubsidiary
        name:
          anyOf:
            - type: string
            - type: 'null'
        address:
          items:
            type: string
          type: array
          default: []
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````